# -*- coding: utf-8 -*-
#------------------------------------------------------------
# The Snooker Addon by Abeksis | www.abeksis.com
#------------------------------------------------------------
# License: GPL (http://www.gnu.org/licenses/gpl-3.0.html)
# Based on code from youtube addon
#
# Author: Snooker 2016 © abeksis
#------------------------------------------------------------

import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.snooker'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')

YOUTUBE_CHANNEL_ID_1 = "PLEJarifbrxyP0US8XKwi-XtT7aTJ8iVtg"
YOUTUBE_CHANNEL_ID_2 = "PLNmA-IcP2UVG733oGNDEtgSbb1GF_KzK0"
YOUTUBE_CHANNEL_ID_3 = "PLEJarifbrxyMrVKsCeqsiMuYHsEQ6ZWw4"
YOUTUBE_CHANNEL_ID_4 = "PLNmA-IcP2UVHeungiBqB4Wg9ouado-iND"
YOUTUBE_CHANNEL_ID_5 = "PLNmA-IcP2UVG7n9qWzcyXLG6YPis-G69Z"
YOUTUBE_CHANNEL_ID_6 = "PLNmA-IcP2UVFRzHvdXTaMVJJKdGxfnqPK"
YOUTUBE_CHANNEL_ID_7 = "PLNmA-IcP2UVHOPHCfOwXV5xZxSimHfUiN"
YOUTUBE_CHANNEL_ID_8 = "PLNmA-IcP2UVGLXIo0Rr6wuD6lnNa740YB"
YOUTUBE_CHANNEL_ID_9 = "PLNmA-IcP2UVEm_uCMNff27jxIZzMzPtz6"
YOUTUBE_CHANNEL_ID_10 = "PLNmA-IcP2UVE8KFpzfz3BdQFK_dhcBi4U"
YOUTUBE_CHANNEL_ID_11 = "PLNmA-IcP2UVFuCA-SDMA1ks7j85nnLQCy"
YOUTUBE_CHANNEL_ID_12 = "PLNmA-IcP2UVEpTNKItpVZt4iQErvvv_bc"
YOUTUBE_CHANNEL_ID_13 = "PLNmA-IcP2UVH_S0b9xl_box3z-pFX4az4"
YOUTUBE_CHANNEL_ID_14 = "PLNmA-IcP2UVGOJqD64s_e_C5I5x508oru"
YOUTUBE_CHANNEL_ID_15 = "PLNmA-IcP2UVHXYnGOA-xYySdnYNwSqCds"


# Entry point
def run():
    plugintools.log("docu.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("docu.main_list "+repr(params))

    plugintools.add_item( 
        #action="", 
        title="Ronnie O'Sullivan's show -  המופע של רוני אוסליבן",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_1+"/",
        thumbnail="https://a4-images.myspacecdn.com/images01/44/e0af208dc3528c01a32d5b285483b34e/300x300.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Welsh Open 2016",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_2+"/",
        thumbnail="http://www.worldsnooker.com/wp-content/uploads/2016/02/IMG_6550.jpg",
        folder=True )  

    plugintools.add_item( 
        #action="", 
        title="German Masters Championship אליפות המאסטרס  - 2016",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_3+"/",
        thumbnail="http://snookerist.ru/wp-content/uploads/2015/12/German-Masters-2016-дщпщ.png",
        folder=True )        
              
    plugintools.add_item( 
        #action="", 
        title="Full games - משחקים מלאים",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_4+"/",
        thumbnail="http://www.digitaljournal.com/img/4/2/9/6/2/6/i/1/1/9/o/Snooker.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="147 Break - מופע הבריקיים",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_5+"/",
        thumbnail="http://e1.365dm.com/15/12/768x576/neil-robertson-uk-championship-final-celeb_3385482.jpg?20151206170339",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="John HIGGINS - ג'ון היגינס",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_6+"/",
        thumbnail="http://forumbilliard.com/_vi/0/78666015.jpg",
        folder=True )        
        
    plugintools.add_item( 
        #action="", 
        title="Mark SELBY - מארק סלבי",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_7+"/",
        thumbnail="http://cdn.images.express.co.uk/img/dynamic/4/590x/selb-388245.jpg",
        folder=True )     

    plugintools.add_item( 
        #action="", 
        title="Neil ROBERTSON - ניל רוברטסון",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_8+"/",
        thumbnail="http://resources1.news.com.au/images/2013/07/15/1226679/366257-neil-robertson.jpg",
        folder=True ) 
        
    plugintools.add_item( 
        #action="", 
        title="Jimmy White - ג'ימי ווייט",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_9+"/",
        thumbnail="http://www.youghalonline.com/wp-content/uploads/2009/03/200701171355_white3.jpg",
        folder=True ) 
        
    plugintools.add_item( 
        #action="", 
        title="Judd TRUMP - ג'אד טראמפ",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_10+"/",
        thumbnail="https://upload.wikimedia.org/wikipedia/commons/thumb/7/78/Judd_Trump_May_2015.jpg/220px-Judd_Trump_May_2015.jpg",
        folder=True ) 
        
    plugintools.add_item( 
        #action="", 
        title="Mark Williams - מארק וויליאמס",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_11+"/",
        thumbnail="http://i.dailymail.co.uk/i/pix/2013/01/18/article-0-17066EB1000005DC-383_468x397.jpg",
        folder=True )   
        
    plugintools.add_item( 
        #action="", 
        title="Shaun Murphy - שון מרפי",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_12+"/",
        thumbnail="https://pbs.twimg.com/profile_images/667256996354240512/VNSEefyj.jpg",
        folder=True )   
        
    plugintools.add_item( 
        #action="", 
        title="Ronnie O'Sullivan's - רוני אוסליבן",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_13+"/",
        thumbnail="http://www.london24.com/polopoly_fs/1.3206751.1389737119!/image/1761693762.jpg_gen/derivatives/landscape_630/1761693762.jpg",
        folder=True )
        
    plugintools.add_item( 
        #action="", 
        title="Gdynia Open 2016 (ET6)",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_14+"/",
        thumbnail="https://i.ytimg.com/vi/JjDwuU4zx6Q/maxresdefault.jpg",
        folder=True )   
        
    plugintools.add_item( 
        #action="", 
        title="סנוקר ישראלי",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_15+"/",
        thumbnail="http://i.imgur.com/0tIKlFE.jpg",
        folder=True )                               
                                                
run()
